<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class BannerTypeEnum
{
    public const WIDGET_CODE = 'widget';
    public const CATALOG_TOP_CODE = 'catalog_top';
    public const CATALOG_ITEM_CODE = 'catalog';
    public const PRODUCT_GROUP_CODE = 'product_group';
    public const HEADER_CODE = 'header';

    /**
     * @return string[]
     */
    public static function cases(): array
    {
        return [
            self::WIDGET_CODE,
            self::CATALOG_TOP_CODE,
            self::CATALOG_ITEM_CODE,
            self::PRODUCT_GROUP_CODE,
            self::HEADER_CODE,
        ];
    }
}
